Bug 17919 - sound has problems with DMA
sound has problems with DMA
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-29 19:26 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 17:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-09-29 19:26:42 EDT
This is, in reality, likely a kernel problem but it manifests itself
when one tries to run 'sndconfig' (and not only).

An attempt to configure and play sound ends up with the following
failure:

trident 4DWave/SiS 7018 PCI Audio, version 0.14.5, 18:39:34 Sep 14 2000
trident: Trident 4DWave DX found at IO 0x9800, IRQ 27
ac97_codec: AC97 Audio codec, vendor id1: 0x4352, id2: 0x5903 (Cirrus Logic
CS4297)
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768
trident: DMA buffer beyond 1 GB; bus address = 0x4d1c8000, size = 32768

On the top of this, right after this message sox may claim that 'size=0'.

'lspci' provides the following information about the machine in question:

-[00]-+-0d.0-[01]--+-0a.0  Trident Microsystems 4DWave DX
      |            \-0d.0  Symbios Logic Inc. (formerly NCR) 53c875
      +-0e.0  Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II]
      +-0e.1  Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
      +-0f.0  Digital Equipment Corporation DECchip 21142/43
      \-11.0  Texas Instruments TVP4020 [Permedia 2]

01:0a.0 Multimedia audio controller: Trident Microsystems 4DWave DX (rev
02)
        Subsystem: Trident Microsystems 4DWave DX
        Flags: bus master, medium devsel, latency 32, IRQ 27
        I/O ports at 9800
        Memory at 000000000a902000 (32-bit, non-prefetchable)
        Capabilities: [48] Power Management version 1

I did have working sound on this hardware (never tried with kernels
from Red Hat).  Oh, saving sound settings in /etc/.aumixrc will fail
on systems where root is mounted read-only.

  Michal
  michal@harddata.com
Comment 1 Bill Nottingham 2000-10-02 17:20:13 EDT
Reassigning to kernel. Alan, is the trident driver doing
anything obviously wrong in how it does DMA, or does this
require the new 2.4 PCI mapping stuff?
Comment 2 Bill Nottingham 2000-10-04 11:38:34 EDT
Per message from rth on linux-kernel, this is pretty much
unfixable for this card.

Note You need to log in before you can comment on or make changes to this bug.